import java.io.*;

import static java.lang.Character.isLowerCase;
import static java.lang.Character.isUpperCase;


public class ROT13  {
    private int shift;

    ROT13(Character cs, Character cf) {
        this.shift = cf - cs;
    }

    ROT13() {
        this.shift = 13;
    }


    public String crypt(String text) throws UnsupportedOperationException {
        StringBuilder sb = new StringBuilder();
        for(int i=0; i<text.length(); i++){
            if(isLowerCase(text.charAt(i))){
                sb.append((char)(((int)(text.charAt(i))+ shift - 97)%26+97));
            }
            else if(isUpperCase(text.charAt(i))){
                sb.append((char)(((int)(text.charAt(i))+ shift - 65)%26+65));
            }
            else {
                sb.append(text.charAt(i));
            }
        }

        return sb.toString();
    }

    public String encrypt(String text) {

        return crypt(text);
    }

    public String decrypt(String text) {


        return crypt(text);
    }

    public static String rotate(String s, Character c) {
        String subStr = s.substring(0, s.indexOf(c));
        String subStr1 = s.substring(s.indexOf(c));


        return subStr1.concat(subStr);
    }

    public String fileReader(String file2){
        File file = new File(file2);
        BufferedReader br = null;
        String str;
        StringBuilder build = new StringBuilder();
        try {
            br = new BufferedReader(new FileReader(file));
            while ((str = br.readLine()) != null){
                build.append(str).append('\n');
            }
            build.deleteCharAt(build.length()-1);
        }catch (FileNotFoundException e){
            e.printStackTrace();
        }catch (IOException e){
            e.printStackTrace();
        }
        finally {
            try {
                br.close();
            }catch (IOException e){
                e.printStackTrace();
            }
        }
        fileWrite(build.toString());

        return build.toString();
    }

    public void fileWrite (String file){
        BufferedWriter wr = null;
        try {
            wr = new BufferedWriter(new FileWriter("sonnet18.enc"));
            wr.write(file);
        }catch (IOException e){
            e.printStackTrace();
        }
        finally {
            try{
                wr.close();
            }catch (IOException e){
                e.printStackTrace();
            }
        }
    }

}
